package cn.com.poc.covenant.dto;

/**
 * @author alex.yao
 * @date 2025/6/20
 */
public class LegalAffairsDialoguesDto {


    /**
     * 对话id
     */
    private String dialoguesId;

    /**
     * 问题
     */
    private String input;


    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 知识库ids
     */
    private Integer[] knowledgeIds;

    /**
     * 数据库ids
     */
    private Integer[] databaseIds;

    public String getDialoguesId() {
        return dialoguesId;
    }

    public void setDialoguesId(String dialoguesId) {
        this.dialoguesId = dialoguesId;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer[] getKnowledgeIds() {
        return knowledgeIds;
    }

    public void setKnowledgeIds(Integer[] knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }

    public Integer[] getDatabaseIds() {
        return databaseIds;
    }

    public void setDatabaseIds(Integer[] databaseIds) {
        this.databaseIds = databaseIds;
    }
}
